function out = backrem(im)

[len,wid] = size(im);
out = zeros(len,wid);
out(:,1) = 2;
out(1,:) = 2;
out(len,:) = 2;
out(:,wid) = 2;


%From the right-upper corner
for i = wid-1:-1:1,
    if out(1,i+1) == 2 & im(1,i) == 1,
        out(1,i) = 2;
    end
end
for i = 2:len,
    if out(i-1,wid) == 2 & im(i,wid) == 1,
        out(i,wid) = 2;
    end
end
for i = 2:len,
    for j = wid-1:-1:1,
        if im(i,j) == 1 & ((out(i,j+1) == 2) | (out(i-1,j+1) == 2) | (out(i-1,j) == 2))
            out(i,j) = 2;
        end
    end
end
%From the right-bottom corner
for i = wid-1:-1:1,
    if out(len,i+1) == 2 & im(len,i) == 1,
        out(1,i) = 2;
    end
end
for i = len-1:-1:1,
    if out(i+1,wid) == 2 & im(i,wid) == 1,
        out(i,wid) = 2;
    end
end
for i = len-1:-1:1,
    for j = wid-1:-1:1,
        if im(i,j) == 1 & ((out(i,j+1) == 2) | (out(i+1,j+1) == 2) | (out(i+1,j) == 2))
            out(i,j) = 2;
        end
    end
end
%From the left-bottom corner
for i = 2:wid,
    if out(len,i-1) == 2 & im(len,i) == 1,
        out(len,i) = 2;
    end
end
for i = len-1:-1:1,
    if out(i+1,1) == 2 & im(i,1) == 1,
        out(i,1) = 2;
    end
end
for i = len-1:-1:1,
    for j = 1:wid,
        if im(i,j) == 1 & ((out(i,j-1) == 2) | (out(i+1,j-1) == 2) | (out(i+1,j) == 2))
            out(i,j) = 2;
        end
    end
end
%From the left-upper corner
for i = 2:wid,
    if out(1,i-1) == 2 & im(1,i) == 1,
        out(1,i) = 2;
    end
end
for i = 2:len,
    if out(i-1,1) == 2 & im(i,1) == 1,
        out(i,1) = 2;
    end
end
for i = 2:len,
    for j = 2:wid,
        if im(i,j) == 1 & ((out(i,j-1) == 2) | (out(i-1,j-1) == 2) | (out(i-1,j) == 2))
            out(i,j) = 2;
        end
    end
end

for i = 1:len,
    for j = 1:wid,
        if out(i,j) == 2 | out(i,j) == 3,
            out(i,j) = 0;
        else
            out(i,j) = im(i,j);
        end
    end
end

    