function ct=showsegImAll(im,segs)
%ct=showsegIm(im,segs)

LIN_WID = 1;

imshow(im);
wid = size(im,2)/2;
axis equal;

if isempty(segs),
  return;
end

num = size(segs,1);

    cmap = [
	1 0 0; %torso=red
	0 1 0; %lua
	1 1 0; %rua
	1 0 1; %lul
	0 0 1; %rul
	0 .5 0; %lla
	.5 .5 0; %rla
	.5 0 .5; %lll
	0 0 .5;  %rll
	1 0 0 %head
	   ];

for s = 1:num,
    %Figure out the corners of our segments
    c1 = [segs(s).x segs(s).y] - [segs(s).u segs(s).v].*repmat(segs(s).len,1,2) - [segs(s).v -segs(s).u].*repmat(segs(s).w,1,2);
    c2 = [segs(s).x segs(s).y] - [segs(s).u segs(s).v].*repmat(segs(s).len,1,2) + [segs(s).v -segs(s).u].*repmat(segs(s).w,1,2);
    c3 = [segs(s).x segs(s).y] + [segs(s).u segs(s).v].*repmat(segs(s).len,1,2) + [segs(s).v -segs(s).u].*repmat(segs(s).w,1,2);
    c4 = [segs(s).x segs(s).y] + [segs(s).u segs(s).v].*repmat(segs(s).len,1,2) - [segs(s).v -segs(s).u].*repmat(segs(s).w,1,2);

    pts = cat(3,c1,c2,c3,c4,c1);
    X = squeeze(pts(:,1,:))' + wid;
    Y = squeeze(pts(:,2,:))';
    if size(X,1) == 1,
        X = X';
        Y = Y';
    end
  
    for i = 1:size(cmap,1),
        inds = find(segs(s).type == i);
        line(X(:,inds),Y(:,inds),'color',cmap(s,:),'linewidth',LIN_WID);
    end
end








