function segs = subSegs(segs,inds),
%segs = subSegs(segs,inds)
%Returns a subset of the segments
%Make sure we only take the positive inds
if islogical(inds) | issparse(inds),
  inds = find(inds);
end

if ~isempty(inds) & ~isempty(segs),
  %inds = inds(inds ~= 0);
  names = fieldnames(segs);
  for i = 1:length(names),
    f = names{i};
    %For the image field just copy the image name from segs1
    %if ~strcmp(f,'im')
      eval(['segs.' f ' = segs.' f '(inds,:);'],'');
    %end
  end
else
  segs = [];
end





