function ang = ComputeAngleCh(X,Y)

[sid1,sid2] = size(X);

prev = atan2(Y(2)-Y(1),X(2)-X(1));
sum = 0;
for i = 2:sid1/4,
    cur = atan2(Y((i-1)*2+2)-Y((i-1)*2+1),X((i-1)*2+2)-X((i-1)*2+1));
    diff = 180/pi*abs(prev-cur);
    
    if diff > 180,
        diff = 360 - diff;
    end
    
    prev = cur;
    sum = sum + diff;
end

ang = sum/(sid1/4-1);