function count=compareBodyPtsnew(im,Data1,L,W)
%cost=scoreBodyPts(im,pts)


pts = Data1;


%len = 8;
%wid = 4;
len = L;
wid = W;

%Buffer everything
pts = pts + len/2;


[d,numSegs1] = size(pts);
numSegTypes1 = d/4;

%Recreate the bounding box
xx = pts(1:2:end,:);
yy = pts(2:2:end,:);
x1 = floor(min(xx(:)))-len/2;
x2 = ceil(max(xx(:)))+len/2;
y1 = floor(min(yy(:)))-len/2;
y2 = ceil(max(yy(:)))+len/2;
siz = [(y2-y1+1) (x2-x1+1)];
pts(1:2:end,:) = pts(1:2:end,:) - x1 + 1;
pts(2:2:end,:) = pts(2:2:end,:) - y1 + 1;
im = im(y1:y2,x1:x2);

%We know we're always dealing with rectangles
%Quantize our rectangles to 12 orientations and handle each separately
numTheta = 24;
thetas = [0:numTheta-1]'/numTheta*2*pi + pi/2;
ru = cos(thetas);
rv = -sin(thetas);
phis = (thetas-pi/2)*180/pi;

[d,numSegs] = size(pts);
numSegTypes = d/4;
%assert(numSegTypes == round(numSegTypes));
pts = permute(reshape(pts,[2 2 numSegTypes numSegs]),[3 1 2 4]);
segcen = permute(.5*pts(:,:,1,:) + .5*pts(:,:,2,:),[1 4 2 3]);
%tmp = squeeze(pts(:,:,2,:) - pts(:,:,1,:));
tmp = permute(pts(:,:,2,:) - pts(:,:,1,:),[1 2 4 3]);
len = squeeze(sqrt(sum(tmp.^2,2))) + eps;
u = squeeze(tmp(:,1,:))./len;
v = squeeze(tmp(:,2,:))./len;
segcen = round(reshape(segcen,size(segcen,1)*size(segcen,2),2));
%len = len(:)/2;
u = u(:);
v = v(:);
%w = len/3;


[dummy,I] = max(abs([ru rv]*[u v]'),[],1);
%[dummy,I] = max([ru rv]*[u v]',[],1);

siz = siz(1:2);
yOut = zeros(siz);

%Represent segments with respect to the center of the image (so they are easier to rotate)
%imcen = (siz(1:2) - 1)/2;
%segs.x = segs.x - imcen(2);
%segs.y = segs.y - imcen(1);

%segs.len(:) = 0;
%segs.w(:) = 0;

%Pre-render our rectangles
len = L;
wid = W;
%len = 12;
%wid = 6;

%mask = zeros([len len numTheta]);
mask = zeros([len 2*wid numTheta]);
template = [zeros(len,wid/2) ones(len,wid) zeros(len,wid/2)];
for i = 1:numTheta,
    mask(:,:,i) = imrotate(template,(thetas(i) - pi/2)*180/pi,'crop');
end

mask = uint8(mask);
offs = -(len/2-1):len/2;
cnt = 1;
cost  = zeros(numSegs,1);
for i = 1:numSegs,
   yOut = repmat(uint8(0),siz);
   for j = 1:numSegTypes
       yOut(segcen(cnt,2)+offs,segcen(cnt,1)+offs) = yOut(segcen(cnt,2)+offs,segcen(cnt,1)+offs) + mask(:,:,I(cnt));
       cnt = cnt + 1;
   end  
end

out = sum(temp1(:) > 0)/sum(temp2(:) > 0);
   
cnt2 = 1;
yOut2 = repmat(uint8(0),siz);
for j = 1:numSegTypes2
    yOut2(segcen2(cnt2,2)+offs,segcen2(cnt2,1)+offs) = yOut2(segcen2(cnt2,2)+offs,segcen2(cnt2,1)+offs) + mask(:,:,I2(cnt2));
    cnt2 = cnt2 + 1;
end
%Calculate the percenrage of the worm body area covered by the model
%temp = (yOut1 > 0 | yOut2 > 0) & im1 > 0;
%cost(i,k) = sum(temp(:) > 0)/sum(im(:) > 0);
temp1 = yOut1 == 1 & yOut2 == 1 & im == 1;
temp2 = yOut2 == 1 & im == 1;
count = sum(temp1(:) > 0)/sum(temp2(:) > 0);
