function d = curv_diff(a,b)

a = double(a);
b = double(b);
[m1,m2] = size(a);
[n1,n2] = size(b);

A = [];
for i = 1:m2,
    x = a(3:2:m1-2,i);
    y = a(4:2:m1-2,i);
    p = polyfit(x,y,5);
    A = [A p'];
end

B = [];
for i = 1:n2,
    x = b(3:2:n1-2,i);
    y = b(4:2:n1-2,i);
    p = polyfit(x,y,5);
    B = [B p'];
end

AA = full(sum(A.*A)); BB = full(sum(B.*B)); AB = full(A'*B);
d = repmat(AA',1,n2) + repmat(BB,m2,1) - 2*AB;
d = sqrt(d);