#include "mex.h"
#include <math.h>

//#include <stdio.h>

#define DEBUG 1
//#define VERBOSE 1

#define max(m,n) (((m)<(n)) ? (n) : (m))
#define min(m,n) (((m)<(n)) ? (m) : (n))
#define myexp(m) ((m==-INF) ? 0 : exp(m))

#define index2(ii,jj,SZ) ((ii) + (jj)*(SZ))
#define index3(ii,jj,kk,SZ1,SZ2) ((ii) + (jj)*(SZ1) + (kk)*(SZ1)*(SZ2))

void mexFunction(int nlhs, mxArray *plhs[], int nrhs, const mxArray *prhs[]) {
  double *A = mxGetPr(prhs[0]);
  double testval;
  int ii = 0;
  

  if (nrhs < 2) { 
    mexErrMsgTxt("Need 2 arguements!"); 
  }
  testval = mxGetPr(prhs[1])[0];


  for (ii; ii<mxGetNumberOfElements(prhs[0]); ii++) {
    if ((A[ii]) >= testval) {
      break;
    }
  }
  if (ii == mxGetNumberOfElements(prhs[0])) {
    plhs[0] = mxCreateDoubleMatrix(0,0,mxREAL);
  }else {
    plhs[0] = mxCreateDoubleMatrix(1,1,mxREAL);
    mxGetPr(plhs[0])[0] = (int)(ii+1);
  }
  
}
